Summary:     A complete C++ standard library
Name:        STLport
Version:     4.6.2
Release:     2.pp
License:     free, see /usr/share/doc/%{name}-%{version}/license.html
Group:       System Environment/Languages
Source0:     http://www.stlport.org/archive/%{name}-%{version}.tar.gz
URL:         http://www.stlport.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc libstdc++
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel libstdc++-devel
ExclusiveOS: linux

%description
STLport is a multiplatform STL implementation based on
SGI STL. This package contains the runtime library for
STLport.


%package devel
Summary:     The development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
STLport is a multiplatform STL implementation based on
SGI STL. Complete C++ standard library, including <complex>
and SGI STL iostreams. If you would like to use your code
with STLport add "-nostdinc++ -I/usr/include/stlport" when
compile and -lstlport_gcc when link (eg: gcc -nostdinc++
-I/usr/include/stlport x.cc -lstlport_gcc).


%prep
%setup -q


%build
pushd src
make -f gcc.mak \
	INSTALLDIR=$RPM_BUILD_ROOT/usr \
	all
popd


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
pushd src
make -f gcc.mak \
	INSTALLDIR=$RPM_BUILD_ROOT/usr \
	install
popd
ln -s . $RPM_BUILD_ROOT/usr/include/stlport/ext


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc doc/license.html
/usr/lib/*.so*

%files devel
%defattr(-,root,root)
%doc INSTALL README doc etc test
%dir /usr/include/stlport
/usr/include/stlport/*
/usr/lib/*.*a


%changelog
* Tue Apr 13 2004 peter.pramberger@1012surf.net
- created

